load('prof_data.mat')
load('stb_78.mat')

x0 = 76.63; % x of initial zero for 1:15 - B6W
zeroz= [0 0];
zerox = [-80 0];

figure('Units','centimeters','Position',[2 2 12.5 14]); %size to fit in a collumn
% figure('Units','centimeters','Position',[2 2 25 14]); % size to fit in full page
subplot(2,1,1,'position',[0.15 0.65 0.75 0.25]);
hold on;
plot(100,100, 'sk', 'LineWidth', 0.5, 'MarkerSize', 5)
plot(100,100,'vk', 'LineWidth', 0.5, 'MarkerSize', 4)
plot(100,100,'pk', 'Markersize', 5, 'MarkerFaceColor','white')

plot(p(1,59).x-x0, p(1,59).z, 'LineWidth', 1.5, 'color', 'k') % 1:15
plot(zerox,zeroz, 'k-')
% for i = 60:63
%     plot(p(1,i).x-x0, p(1,i).z, 'LineWidth', 1, 'color', 'k') % 1:15
% end

zAWG = repmat(0.6, size(test.XAWG));
plot(test.XAWG-x0, zAWG, 'sk', 'LineWidth', 0.5, 'MarkerSize', 5)

plot(test.XPPT(1, 1:end-1)-x0, -2.47+test.ZPPT_abs(1,1:end-1), 'vk', 'LineWidth', 0.5, 'MarkerSize', 4)


text(72.5-x0,-2, "a)", 'Fontsize', 12)

%Arrow with h0
plot([5-x0 5-x0 ], [-2.47 0],'k');
plot(5-x0,-2.4,'vk', 'MarkerFaceColor','k', 'markersize', 3)
plot(5-x0,-0.08,'^k', 'MarkerFaceColor','k', 'markersize', 3)
text(5.4-x0, -1.5,  '$h_{0} = 2.47 m$','Fontsize', 11)

%box of zoom using limits of subplot 2
% xlim([-5 5])
% ylim([-0.8 0.65])
xmin = -5;
xmax = 5;
ymin = -0.8;
ymax = 0.65;
plot([xmin xmax xmax xmin xmin],[ymin ymin ymax ymax ymin], 'k')

ax = gca;
ax.XAxis.MinorTick = 'on';
ax.YAxis.MinorTick = 'on';
set(gca,'box','off')
ylim([-2.48 1])
xlim([0-x0 87-x0])
ylabel('$z$ [m]', 'Fontsize', 14); xlabel('$x$ [m]', 'Fontsize', 14)
L = legend('AWG', 'PPT' ,'Position',[0.395382067350587 0.912108977787125 0.230422328667662 0.040733196584853],'Orientation','horizontal', 'Fontsize', 10)
legend boxoff
L.ItemTokenSize(1) = 12;

%%
subplot(2,1,2,'position',[0.15 0.13 0.75 0.40]);

hold on
plot(p(1,59).x-x0, p(1,59).z, 'LineWidth', 1.5, 'color', 'k') % 1:15
grey = [192 192 192; 169 169 169; 128 128 128; 105 105 105]/255;
grey = flip(grey);
% for i = 60:60
%     for i = 60:63
%     plot(p(1,i).x-x0, p(1,i).z, 'LineWidth', 1, 'color', grey(i-59,:)) % 1:15
% end
plot(zerox,zeroz, 'k-')

zAWG = repmat(0.55, size(test.XAWG));
plot(test.XAWG-x0, zAWG, 'sk', 'LineWidth', 0.5, 'MarkerSize', 7)

xPPTv = [70.82+7.41 69.85+7.41 67.94+7.41];
xPPTv = repmat(xPPTv,4,1);
zPPTv_rel = [-0.65 -0.40 -5 -0.30; -0.52 -0.435 -0.39 -0.35; -0.5 -0.4 -5 -5]';
pptNrs = [1; 2; 0; 3; 4; 5; 6; 7; 8; 9; 0; 0];
pptNrs = ["3C","2C","","1C","4B","3B","2B","1B","2A","1A","",""];
pptTextZ = [-0.55 -0.30 -5 -0.20, -0.55 -0.45 -0.35 -0.25, -0.6 -0.5 -5 -5]';
for i = 1:3
    [~,indxzPPTv] = min(abs((p(1,59).x-xPPTv(1,i))));
    
    for j=1:4
        zPPTv(j,i) = p(1,1).z(indxzPPTv,1)+zPPTv_rel(j,i);
    end
end
plot(xPPTv-x0, zPPTv, 'vk', 'Markersize', 7)
text(xPPTv(:)-x0+0.1,pptTextZ,pptNrs);

xADV = [75.1800000000000,76.9100000000000,77.8000000000000]-x0;
yADV = [2.38000000000000,2.49300000000000,2.54600000000000]-2.42;

plot(xADV,yADV,'*k');

ax = gca;
xticks([-3:1:3])
ax = gca;
ax.XAxis.MinorTick = 'on';
ax.XAxis.MinorTickValues = -5:0.2:5;
ax.YAxis.MinorTick = 'on';
% ax.YAxis.LineWidth = 1;
% ax.XAxis.LineWidth = 1;
%     set(gca,'box','off')
%  grid on
xlim([-3 3])
ylim([-0.8 0.65])

text(2, -0.65, "b)", 'Fontsize', 12)


ylabel('$z$ [m]', 'Fontsize', 14); xlabel('$x$ [m]', 'Fontsize', 14)

%Arrow with zHat
plot([-2.5, -2.5 ], [-0.6 -0.182],'k');
plot(-2.5,-0.6,'vk', 'MarkerFaceColor','k', 'markersize', 3)
text(-2.4, -0.6,  '$\hat{z}$','Fontsize', 12)

% L = legend('1:15','79', '80', '81', '82','Location', 'SouthEast', 'Fontsize', 10);
% L = legend('Initial profile', 'Location', 'SouthEast', 'Fontsize', 10);
L.ItemTokenSize(1) = 10;