% Analyze surface elevations for case 1

run_nr = 79;
calibration = 1; % 1 to use calibration for stb1, 2 for stb2;
flagSaveFigures = 0;

load('xPPT.mat');
load('zPPT_abs.mat');
load('zPPT_rel.mat');
load(strcat('../calCoeffs',num2str(calibration),'.mat')); %Coefficients from the calibration
% load(strcat('AWG',num2str(run_nr),'Smooth.mat')); %Smoothed awg signals per section
load(strcat('StB_run',num2str(run_nr),'.mat'));
if run_nr > 9
    load(strcat('EC1StB_0',num2str(run_nr-14),'PPT.mat'));
elseif run_nr < 10
    load(strcat('StB2ppt_00',num2str(run_nr),'.mat'));
end
%Note that the ppt variable gives results from ppts used as wave-gauges.
load('prof_data_corrected');
profile_z = p(run_nr - 18).z;
profile_x = p(run_nr -18).x;
disp(head{run_nr - 18});

probeDistToBed = getProbeDistanceToBedWithScour(run_nr,xPPT,zPPT_abs,p);

rho = 1000;
g = 9.81;

[ppt_t,ppt_p] = getPPTData_1(PPT_data);
P = getPressureFromSignal(ppt_p,A,B);

set(groot,'defaultAxesXGrid','on')
set(groot,'defaultAxesYGrid','on')

%% Analysis
% For section 1
% x ppt is 78.23
% wave gauges 20 (x = 78.01) and 21 (x = 78.74)

Fs = 40; % Hz, frequency of RWG, AWG and PPT
% Cut-off frequency for AWG (instrumentation noise)
Fc_hf = 8; %(highfreq) freq of short waves higher frequency limit
[B,A] = butter(4,Fc_hf/(Fs/2));

awg20 = AWG(:,20); 
awg21 = AWG(:,21);
awg20_s = filtfilt(B,A,awg20)-2.47;
awg21_s = filtfilt(B,A,awg21)-2.47;

figure;
plot(time_wp,awg20_s);
hold on;
plot(time_wp,awg21_s);
xlim([1000 1100]);

lag1 = timeLag(time_wp,awg20_s,awg21_s);
pptlag1 = lag1*(78.23 - 78.01)/(78.01 - 77.5) ; % relative to 20

% For section 2
% xppt = 77.26
% wave gauges 17 (x 77.06 ) and 19 (x = 77.5)

awg17 = AWG(:,17); 
awg19 = AWG(:,19);
awg17_s = filtfilt(B,A,awg17)-2.47;
awg19_s = filtfilt(B,A,awg19)-2.47;

figure;
plot(time_wp,awg17_s);
hold on;
plot(time_wp,awg19_s);
xlim([1000 1100]);

lag2 = timeLag(time_wp,awg17_s,awg19_s);
pptlag2 = lag2*( 77.5 - 77.26)/(77.06 -77.5) ; %relative to 19

% For section 3
% xppt = 75.35
% wave gauges 13 (x = 75.06 ) and 14 (x = 75.58)

awg13 = AWG(:,13); 
awg14 = AWG(:,14);
awg13_s = filtfilt(B,A,awg13)-2.47;
awg14_s = filtfilt(B,A,awg14)-2.47;

figure;
plot(time_wp,awg13_s);
hold on;
plot(time_wp,awg14_s);
xlim([1000 1100]);

lag3 = timeLag(time_wp,awg13_s,awg14_s);
pptlag3 = lag3*( 75.35 - 75.58)/(75.58 -75.06) ; %relative to 14
