G = 4e8; % shear modulus
n = 0.35; %Porosity
gamma = 9.81*1000; %Water weight
nu = 0.33; %Poissons ratio
kc = 1e-5; %Hydraulic conductivity
a = 37.7; %Model calibrated constant (45.25, 38.85, 27.9)
P_atm = 101325; % Atmospheric pressure in Pascal

beta_p = 1/n *(a*kc/gamma) - (1-2*nu)/(2*(1-nu)*G*n);

beta = 4.6e-10; %Compressibility water
S = (beta_p*P_atm-1)/(beta*P_atm -1)

%% Calculate back

beta_calc = S*beta+(1-S)/P_atm;
a_calc = gamma/kc * (n*beta_calc + (1-2*nu)/(2*(1-nu)*G))

%% Calculate with change in gamma

Ss = [];
gamma = 9.81*1000; %Water weight

for it=1:10
beta_p = 1/n *(a*kc/gamma) - (1-2*nu)/(2*(1-nu)*G*n);

beta = 4.6e-10; %Compressibility water
S = (beta_p*P_atm-1)/(beta*P_atm -1);

gamma = 9.81*(1000*S+1*(1-S));
Ss = [Ss,S];
end