ppt047 = load('Calibration/EC1StB_047PPT.mat');
ppt048 = load('Calibration/EC1StB_048PPT.mat');
ppt049 = load('Calibration/EC1StB_049PPT.mat');

figure;
PPT_data = ppt047.PPT_data;
plot(PPT_data.Time,PPT_data.PPT_1039);
hold on;
plot(PPT_data.Time,PPT_data.PPT_1041);
plot(PPT_data.Time,PPT_data.PPT_1037);
plot(PPT_data.Time,PPT_data.PPT_036);
plot(PPT_data.Time,PPT_data.PPT_035);
plot(PPT_data.Time,PPT_data.PPT_1040);
plot(PPT_data.Time,PPT_data.PPT_1038);
plot(PPT_data.Time,PPT_data.PPT_262);
plot(PPT_data.Time,PPT_data.PPT_237);
plot(PPT_data.Time,PPT_data.PPT_236);
plot(PPT_data.Time,PPT_data.PPT_065);
plot(PPT_data.Time,PPT_data.PPT_058);
legend(num2str(zPPT_abs'));
title('p_signal 47');

figure;
[t047,p047] = getPPTData_1(PPT_data);
plot(t047,p047);
legend(num2str(zPPT_abs'));
title('p_signal 47 (2)');

figure;
PPT_data = ppt049.PPT_data;
plot(PPT_data.Time,PPT_data.PPT_1039);
hold on;
plot(PPT_data.Time,PPT_data.PPT_1041);
plot(PPT_data.Time,PPT_data.PPT_1037);
plot(PPT_data.Time,PPT_data.PPT_036);
plot(PPT_data.Time,PPT_data.PPT_035);
plot(PPT_data.Time,PPT_data.PPT_1040);
plot(PPT_data.Time,PPT_data.PPT_1038);
plot(PPT_data.Time,PPT_data.PPT_262);
plot(PPT_data.Time,PPT_data.PPT_237);
plot(PPT_data.Time,PPT_data.PPT_236);
plot(PPT_data.Time,PPT_data.PPT_065);
plot(PPT_data.Time,PPT_data.PPT_058);
legend(num2str(zPPT_abs'));
[t049,p049] = getPPTData_1(PPT_data);
title('p_signal 49');

%%
g = 9.82;
rho = 1000;

zdepth = [2.665 2.47]-2.47;

load('xPPT.mat');
load('zPPT_abs.mat');

P49 = (zdepth(1)-zPPT_abs)*g*rho;
P47 = (zdepth(2)-zPPT_abs)*g*rho;

pAvMeasured049 = mean(p049,1);
pAvMeasured047 = mean(p047,1);

A = (P49 - P47)./(pAvMeasured049-pAvMeasured047);
B = P49 - A.*pAvMeasured049;

P = @(s) A.*s + B;

%%
pressure = P(p049);
figure;
plot(t049,pressure(:,1:4));
hold on;
plot(t049,pressure(:,5:8),'--');
plot(t049,pressure(:,9:12),'.-');
legend(num2str(zPPT_abs'));
title('pressure 49');

%%
figure;
plot(t049,P(p049)/(g*rho));
figure;
plot(t047,P(p047)/(g*rho));

save('calCoeffs','A','B');



