function [pptlag1,pptlag2,pptlag3] = getPPTTimeLags(time_wp,AWG)
%getPPTTimeLags: returns the time lags for the three locations
[B,A] = getFilterCoeffs();

% For section 1
% x ppt is 78.23
% wave gauges 20 (x = 78.01) and 21 (x = 78.74)

awg20 = AWG(:,20); 
awg21 = AWG(:,21);
awg20_s = filtfilt(B,A,awg20)-2.47;
awg21_s = filtfilt(B,A,awg21)-2.47;

lag1 = timeLag(time_wp,awg20_s,awg21_s);
pptlag1 = lag1*(78.23 - 78.01)/(78.01 - 77.5) ; % relative to 20

% For section 2
% xppt = 77.26
% wave gauges 17 (x 77.06 ) and 19 (x = 77.5)

awg17 = AWG(:,17); 
awg19 = AWG(:,19);
awg17_s = filtfilt(B,A,awg17)-2.47;
awg19_s = filtfilt(B,A,awg19)-2.47;

lag2 = timeLag(time_wp,awg17_s,awg19_s);
pptlag2 = lag2*( 77.5 - 77.26)/(77.06 -77.5) ; %relative to 19

% For section 3
% xppt = 75.35
% wave gauges 13 (x = 75.06 ) and 14 (x = 75.58)

awg13 = AWG(:,13); 
awg14 = AWG(:,14);
awg13_s = filtfilt(B,A,awg13)-2.47;
awg14_s = filtfilt(B,A,awg14)-2.47;

lag3 = timeLag(time_wp,awg13_s,awg14_s);
pptlag3 = lag3*( 75.35 - 75.58)/(75.58 -75.06) ; %relative to 14
end

