close all;

s = 2650/1000; %Specific gravity
n = 0.4; %porosity

dpdz = [0.5;0.2;0;-0.5;-1.2;-2];

u = linspace(0.001,2,1000);

theta = u.*u/(s-1);
theta_dpdz = u.*u./((s-1)-dpdz);

figure;

plot(u,theta_dpdz);

ll = legend('0.5','0.2','0','-0.5','-1.2','-2','Location','northwest','interpreter','latex');
ll.Title.String = '$\frac{\partial\tilde{p}/\gamma}{\partial \hat{z}}$';
ll.Title.Interpreter = 'latex';
xlabel('$u$ [m/s]');
ylabel('$u |u|/\left((s-1) - \frac{\partial\tilde{p}/\gamma}{\partial \hat{z}}\right)$ [m$^2$/s$^2$]');

